org.apache.nutch.tools.proxy

## Class DelayHandler

- java.lang.Object
- - org.mortbay.component.AbstractLifeCycle
  - - org.mortbay.jetty.handler.AbstractHandler
    - - org.apache.nutch.tools.proxy.AbstractTestbedHandler
      - - org.apache.nutch.tools.proxy.DelayHandler

- All Implemented Interfaces:
    org.mortbay.component.LifeCycle, org.mortbay.jetty.Handler

      public class DelayHandler
      extends AbstractTestbedHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.mortbay.component.LifeCycle

      `org.mortbay.component.LifeCycle.Listener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_DELAY`

    - ### Fields inherited from class org.apache.nutch.tools.proxy.AbstractTestbedHandler

      `debug`

    - ### Fields inherited from class org.mortbay.jetty.handler.AbstractHandler

      `_string`

    - ### Fields inherited from class org.mortbay.component.AbstractLifeCycle

      `_listeners`

    - ### Fields inherited from interface org.mortbay.jetty.Handler

      `ALL, DEFAULT, ERROR, FORWARD, INCLUDE, REQUEST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelayHandler(int delay)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(org.mortbay.jetty.Request req, javax.servlet.http.HttpServletResponse res, java.lang.String target, int dispatch)`

    - ### Methods inherited from class org.apache.nutch.tools.proxy.AbstractTestbedHandler

      `addMyHeader, handle`

    - ### Methods inherited from class org.mortbay.jetty.handler.AbstractHandler

      `destroy, doStart, doStop, getServer, setServer, toString`

    - ### Methods inherited from class org.mortbay.component.AbstractLifeCycle

      `addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.mortbay.component.LifeCycle

      `addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

- - ### Field Detail

    - #### DEFAULT_DELAY

          public static final long DEFAULT_DELAY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DelayHandler

          public DelayHandler(int delay)

  - ### Method Detail

    - #### handle

          public void handle(org.mortbay.jetty.Request req,
                             javax.servlet.http.HttpServletResponse res,
                             java.lang.String target,
                             int dispatch)
                      throws java.io.IOException,
                             javax.servlet.ServletException

      Specified by:
        `handle` in class `AbstractTestbedHandler`
      Throws:
        `java.io.IOException`
        `javax.servlet.ServletException`

Copyright © 2019 The Apache Software Foundation